Subject: [urn] Reminder: Namespace Identifier: Formal Request for EIC

From: Elena Nikitina <[email-masked]>
Date: Fri, 5 Nov 2021 10:22:58 +0000

Dear Sir or Madam,

Please be informed that the necessary validation steps for this e-mail are completed.

Additionally I would like to underline that the requested registration for EIC in my previous e-mail is still required. Therefore I would kindly ask you to proceed with the next steps if no other actions are required from my side.

Thank you in advance!

Best Regards,
Elena

From: Elena Nikitina
Sent: 03 September 2021 10:41
To: [email-masked]
Cc: Olivier Aine <[email-masked]>; Dr. Chavdar Ivanov <[email-masked]>; [email-masked]
Subject: Namespace Identifier: Formal Request for EIC

Dear Sir or Madam,

Please find attached the completed registration request for EIC.

Thank you in advance for your time and consideration!

Best Regards,

Elena Nikitina
ENTSO-E - IT PMO

ENTSO-E
1000 Brussels, Belgium
Mobile +32 473 82 07 94

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient (or have received this e-mail in error) please notify the sender immediately and destroy this e-mail. Any unauthorized copying, disclosure or distribution of the material in this e-mail is strictly forbidden. ENTSO-E processes your personal data in accordance with the ENTSO-E privacy policies which are available
here<https://www.entsoe.eu/website/privacy-policy/>

Subject: Confirm: [email-masked]:YTHfmQK41agE:18QBpUuEmDY6nzwYEnP7VG83Hyfn-Bge5OOIWg
From: Elena Nikitina <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 5 Nov 2021 09:06:21 +0000

Dear,

This is the confirmation of the e-mail address: [email-masked].

Best Regards,
Elena

-----Original Message-----
From: [email-masked] <[email-masked]>
Sent: 03 September 2021 10:41
To: Elena Nikitina <[email-masked]>
Subject: Confirm: [email-masked]:YTHfmQK41agE:18QBpUuEmDY6nzwYEnP7VG83Hyfn-Bge5OOIWg

The ietf.org mailing-list server has received a list posting from [email-masked] to [email-masked] with the subject 'Namespace Identifier: Formal Request for EIC'

As the sender address isn't subscribed to the list, and has not been confirmed earlier, we have to request a confirmation of the address.
To confirm the address, send a message to [email-masked], with the same subject line as this message.

(Simply sending a 'reply' to this message should work from most email interfaces, since that usually leaves the subject line in the right form.  The reply's additional "Re:" is ok.)

For diagnostic purposes, this sender email confirmation step has ID:
YTHfmQK41agE

If you do not wish your posting to the list to go through, simply disregard this message.  Questions to [email-masked].

---

From: [email-masked] (Dale R. Worley)
Date: Thu, 11 Nov 2021 21:58:11 -0500

From: Elena Nikitina <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 5 Nov 2021 10:22:58 +0000
Archived-At: <https://mailarchive.ietf.org/arch/msg/urn/bipBobW-qYSdGtYp4mvSwIIdQ3I>

Elena Nikitina <[email-masked]> writes:
> Additionally I would like to underline that the requested registration
> for EIC in my previous e-mail is still required. Therefore I would
> kindly ask you to proceed with the next steps if no other actions are
> required from my side.

I have searched at the mail archive for "[email-masked]"
(https://mailarchive.ietf.org/arch/), and for unknown reasons, your
e-mail message of 3 Sept 2021 not recorded there.  It appears that there
has been some problem regarding its delivery.

> [application/pdf EIC urn registration Request_ENTSOE_20210903.pdf (177kB)]

I have read the registration request.  It is straightforward, other than
that several items refer to ENTSOE documents available on the ENTSOE web
site.  This is inconvenient from the IETF's point of view but I see no
reason to object to the registration because of that.

The syntax notation in the registration is clumsy (compared to other
IETF documents), but it is entirely clear in practice.

The registration does not describe an equivalence rule (see RFC 8141
section 6.4.2 item 3) but since the EIC identifiers consist entirely of
the characters 0-9, A-Z (upper case only), and -, it is clear that exact
equality of the NSS is intended.

The only issue I identify is in the description of the algorithm for
computing the check character (the 16th character of the EIC = NSS),
which is given in
https://eepublicdownloads.entsoe.eu/clean-documents/EDI/Library/cim_based/EIC_Data_Exchange_IG_v1.1.pdf
"ENTSO-E EIC DATA EXCHANGE IMPLEMENTATION GUIDE" clause 5.3.2 lines
266-267, which say "Then, the positions are again weighted, beginning
with the greatest value to the left and ending with a one at the far
right." but the illustration immediately following shows "2" at the far
right, and the later text makes clear that "2" is intended for the
process of calculating the check character.  ("1 at the far right" would
be correct for the process of *verifying* the check character.)

However, this is clearly an erratum, as anyone attempting to implement
the calculation according to this document would immediately discover
the intended meaning.

I believe this document should be approved.

Dale

---

From: Elena Nikitina <[email-masked]>
Date: Fri, 12 Nov 2021 09:08:08 +0000

Dear Dale,

Thank you very much for your feedback! Could you please clarify for us how the approval process will advance from this point? Are any additional actions expected from our side?

Many thanks in advance for the clarification!

Best Regards,
Elena

-----Original Message-----
From: Dale R. Worley <[email-masked]>
Sent: 12 November 2021 03:58
To: Elena Nikitina <[email-masked]>
Cc: [email-masked]; Olivier Aine <[email-masked]>; Dr. Chavdar Ivanov <[email-masked]>; Kristjan Vilgo <[email-masked]>
Subject: Re: [urn] Reminder: Namespace Identifier: Formal Request for EIC

From: Elena Nikitina <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 5 Nov 2021 10:22:58 +0000
Archived-At: <https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmailarchive.ietf.org%2Farch%2Fmsg%2Furn%2FbipBobW-qYSdGtYp4mvSwIIdQ3I&amp;data=04%7C01%7Celena.nikitina%40ext.entsoe.eu%7Cf10827797efa43cb2cdb08d9a58848b4%7C7ffbeccf0c1b496c897889209c2d375d%7C0%7C0%7C637722827465819815%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=FTnCwRbMhZwy11ozgHmrbn9WcEmOiL%2FCJ2%2FoQY11Nfc%3D&amp;reserved=0>

I have searched at the mail archive for "[email-masked]"
(https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmailarchive.ietf.org%2Farch%2F&amp;data=04%7C01%7Celena.nikitina%40ext.entsoe.eu%7Cf10827797efa43cb2cdb08d9a58848b4%7C7ffbeccf0c1b496c897889209c2d375d%7C0%7C0%7C637722827465819815%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=00XWtNux%2FwLShA4IFLhmCv75rvDvGw46wBWEj7f45rg%3D&amp;reserved=0), and for unknown reasons, your e-mail message of 3 Sept 2021 not recorded there.  It appears that there has been some problem regarding its delivery.

> Cc: Olivier Aine <[email-masked]>; Dr. Chavdar Ivanov
> <[email-masked]>; [email-masked]

> [application/pdf EIC urn registration Request_ENTSOE_20210903.pdf

I have read the registration request.  It is straightforward, other than that several items refer to ENTSOE documents available on the ENTSOE web site.  This is inconvenient from the IETF's point of view but I see no reason to object to the registration because of that.

The syntax notation in the registration is clumsy (compared to other IETF documents), but it is entirely clear in practice.

The registration does not describe an equivalence rule (see RFC 8141 section 6.4.2 item 3) but since the EIC identifiers consist entirely of the characters 0-9, A-Z (upper case only), and -, it is clear that exact equality of the NSS is intended.

The only issue I identify is in the description of the algorithm for computing the check character (the 16th character of the EIC = NSS), which is given in
https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Feepublicdownloads.entsoe.eu%2Fclean-documents%2FEDI%2FLibrary%2Fcim_based%2FEIC_Data_Exchange_IG_v1.1.pdf&amp;data=04%7C01%7Celena.nikitina%40ext.entsoe.eu%7Cf10827797efa43cb2cdb08d9a58848b4%7C7ffbeccf0c1b496c897889209c2d375d%7C0%7C0%7C637722827465819815%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=VKFL1ME7RrNKV4pHfixYEjuG1VkyvuzKad5t5fADuWI%3D&amp;reserved=0
"ENTSO-E EIC DATA EXCHANGE IMPLEMENTATION GUIDE" clause 5.3.2 lines 266-267, which say "Then, the positions are again weighted, beginning with the greatest value to the left and ending with a one at the far right." but the illustration immediately following shows "2" at the far right, and the later text makes clear that "2" is intended for the process of calculating the check character.  ("1 at the far right" would be correct for the process of *verifying* the check character.)

However, this is clearly an erratum, as anyone attempting to implement the calculation according to this document would immediately discover the intended meaning.

Dale

---

From: "Hakala, Juha E" <[email-masked]>
Date: Fri, 12 Nov 2021 12:57:38 +0000

Hello, 

I agree with Dale that the registration request should be approved. EIC identifiers are well established (almost 10.000 codes have been assigned and there are about 60 LIOs) and I found no technical issues in the request, in addition to the minor issue Dale has already commented.   

Do you intend to refer to the URN presentation in the next edition of the EIC Reference Manual?

All the best, 

Juha

-----Alkuperäinen viesti-----
Lähettäjä: urn <[email-masked]> Puolesta Dale R. Worley
Lähetetty: perjantai 12. marraskuuta 2021 2.58
Vastaanottaja: Elena Nikitina <[email-masked]>
Kopio: Dr. Chavdar Ivanov <[email-masked]>; Olivier Aine <[email-masked]>; [email-masked]; [email-masked]
Aihe: Re: [urn] Reminder: Namespace Identifier: Formal Request for EIC

I have searched at the mail archive for "[email-masked]"
(https://mailarchive.ietf.org/arch/), and for unknown reasons, your e-mail message of 3 Sept 2021 not recorded there.  It appears that there has been some problem regarding its delivery.

The only issue I identify is in the description of the algorithm for computing the check character (the 16th character of the EIC = NSS), which is given in https://eepublicdownloads.entsoe.eu/clean-documents/EDI/Library/cim_based/EIC_Data_Exchange_IG_v1.1.pdf
"ENTSO-E EIC DATA EXCHANGE IMPLEMENTATION GUIDE" clause 5.3.2 lines 266-267, which say "Then, the positions are again weighted, beginning with the greatest value to the left and ending with a one at the far right." but the illustration immediately following shows "2" at the far right, and the later text makes clear that "2" is intended for the process of calculating the check character.  ("1 at the far right" would be correct for the process of *verifying* the check character.)

Dale

_______________________________________________
urn mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/urn

---

From: [email-masked] (Dale R. Worley)
Date: Tue, 16 Nov 2021 22:43:31 -0500

Elena Nikitina <[email-masked]> writes:
> Thank you very much for your feedback! Could you please clarify for us
> how the approval process will advance from this point? Are any
> additional actions expected from our side?

I'm not an authority, but the experts are a committee of about a
half-dozen people.  So we should hear reviews from several others soon.
I expect the reviews will be positive, so the chair will then summarize
our collective approval and notify IANA, which maintains the official
register of URN namespaces.  I believe that will be the end of the
process.

Dale